import request from '@/utils/request'

// 管理员开锁
export function unlockDevice(data) {
  return request({
    url: '/bst/device/iot/unlock',
    method: 'put',
    params: data
  })
}

// 管理员锁车
export function lockDevice(data) {
  return request({
    url: '/bst/device/iot/lock',
    method: 'put',
    params: data
  })
}

// 管理员响铃寻车
export function ringDevice(data) {
  return request({
    url: '/bst/device/iot/ring',
    method: 'put',
    params: data
  })
}

// 管理员重启
export function rebootDevice(data) {
  return request({
    url: '/bst/device/iot/reboot',
    method: 'put',
    params: data
  })
}

// 管理员开坐垫锁
export function unlockSeatDevice(data) {
  return request({
    url: '/bst/device/iot/unlockSeat',
    method: 'put',
    params: data
  })
}

// 管理员刷新
export function refreshDevice(data) {
  return request({
    url: '/bst/device/iot/refresh',
    method: 'put',
    params: data
  })
}
